This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 293761 - hal-info incorrectly lists Thinkpad T61
hal-info incorrectly lists Thinkpad T61
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: hal-info (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
http://lists.freedesktop.org/archives...
:
Depends On:
Blocks: F8Target
  Show dependency treegraph
 
Reported: 2007-09-17 15:26 EDT by Michel Alexandre Salim
Modified: 2013-03-05 22:52 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-09 11:08:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch to correct identification of Thinkpad T61 (512 bytes, patch)
2007-09-17 15:26 EDT, Michel Alexandre Salim
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 12462 None None None Never

  None (edit)
Description Michel Alexandre Salim 2007-09-17 15:26:29 EDT
Description of problem:
The above URL identifies a patch submission that has been merged in, and is
present in Fedora's hal-info. It is buggy:

- the submitter uses his system.hardware.product string, 766314G, which 
  does not uniquely identify the T61 (mine is 7658CTO)
- furthermore, the patch incorrectly uses 'system.hardware.version' rather than
  'system.hardware.product'

Please find attached a patch that changes the Lenovo quirk file so that it keys
in on system.hardware.product="Thinkpad T61" instead.

Version-Release number of selected component (if applicable):
hal-info-20070725-1.fc8

How reproducible:
Always


Steps to Reproduce:
1. Suspend
2. Resume
  
Actual results:
Backlight not re-enabled

Expected results:
Backlight re-enabled

Additional info:
Comment 1 Michel Alexandre Salim 2007-09-17 15:26:29 EDT
Created attachment 197741 [details]
Patch to correct identification of Thinkpad T61
Comment 2 Michel Alexandre Salim 2007-09-17 15:54:46 EDT
Note that with the current Rawhide kernel, the modification allows the laptop to
suspend, but now it won't resume -- might be a kernel problem. Without s3_mode
the laptop will wake up immediately (and backlight is off); with s3_bios the
laptop will wake up immediately and the backlight is reenabled.
Comment 3 David Zeuthen 2007-10-09 11:08:01 EDT
This is wrong; IIRC a Thinkpad T61 can come with different video cards and then
you need different quirks. Btw, in the future please send patches to the hal
list instead of RH Bugzilla. Thanks!
Comment 4 Michel Alexandre Salim 2007-10-10 12:59:20 EDT
I did list the upstream bug entry as well, but sorry for the duplication.

Good point that T61 comes with different video cards, but the entry I referred
to is still wrong: instead of s.h.v it should have said s.h.p (version is just
"Thinkpad T61", it's the product key that has the different product numbers)

Note You need to log in before you can comment on or make changes to this bug.